<?php

    class Stop_Chain_Action extends Reactor_Action
    {
        protected $tpl = 'stop_chain.php';
        protected $name = 'Stop processing this event chain';
		
		public static $registration = array(
			ACTION_NAME => 'Stop processing this event chain',
			ACTION_CATEGORY => 'Nagios Reactor',
			ACTION_DESCRIPTION => 'Halts the currently running event chain',
			ACTION_AUTHOR => 'Jeremy Yunis, Nagios Enterprises, LLC',
			ACTION_VERSION => '1.0',
			ACTION_DATE => '01/22/2013', //Last version update
			ACTION_AUTHLEVEL => 0,  // 0 - everyone | 1 - Admin only
			ACTION_TYPE => 'core', //core | user. core modules can't be deleted
			ACTION_META => array(),	//Misc information	
		); 
		
        protected $fields = array();

        public function run($context)
        {
            $this->set_context($context);
            $this->set_result(0);
            $context['__reactor__']['stop'] = TRUE;
            return $context;
        }
    }
